Package javax.validation

# Interface Path

All Superinterfaces:
  `Iterable<Path.Node>`

public interface Path extends Iterable<Path.Node>

Version:
  $Rev$ $Date$

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`Path.BeanNode`
`static interface`
`Path.ConstructorNode`
`static interface`
`Path.CrossParameterNode`
`static interface`
`Path.MethodNode`
`static interface`
`Path.Node`
`static interface`
`Path.ParameterNode`
`static interface`
`Path.PropertyNode`
`static interface`
`Path.ReturnValueNode`

## Method Summary

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`